ONVIF::Media::Types::HostnameInformation(3)

NAME
ONVIF::Media::Types::HostnameInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType HostnameInformation from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FromDHCP

•   Name

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::HostnameInformation
   FromDHCP =>  $some_value, # boolean
   Name =>  $some_value, # token
   Extension =>  { # ONVIF::Media::Types::HostnameInformationExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL